Module | Tk::Tile::TileWidget
In: | tk/lib/tkextlib/tile.rb

### Methods

instate state

### Included Modules

Tk::Tile::ParseStyleLayout

### Public Instance methods

instate(state, script=nil, &b)

[Source]

    # File tk/lib/tkextlib/tile.rb, line 140
          def instate(state, script=nil, &b)
            if script
              tk_send('instate', state, script)
            elsif b
              tk_send('instate', state, Proc.new(&b))
            else
              bool(tk_send('instate', state))
            end
          end

state(state=nil)

[Source]

    # File tk/lib/tkextlib/tile.rb, line 150
          def state(state=nil)
            if state
              tk_send('state', state)
            else
              list(tk_send('state'))
            end
          end

[Validate]